(function() {
    // Menunggu hingga halaman admin dimuat sepenuhnya
    document.addEventListener("DOMContentLoaded", function() {
        // Cek apakah form filter per page ada
        const perPageSelect = document.querySelector('select[name="paginator__page_size"]');
        if (perPageSelect) {
            perPageSelect.addEventListener('change', function() {
                // Ambil nilai dari dropdown
                const perPage = perPageSelect.value;

                // Ubah URL untuk menyertakan parameter per_page
                const currentUrl = new URL(window.location.href);
                currentUrl.searchParams.set('page_size', perPage);  // Ganti parameter sesuai dropdown

                // Arahkan ulang ke URL yang baru
                window.location.href = currentUrl;
            });
        }
    });
})();
